Groovy Documentation

## org.codehaus.groovy.ast.expr
[Java] Class ArgumentListExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.TupleExpression
                      org.codehaus.groovy.ast.expr.ArgumentListExpression

    public class ArgumentListExpression
    extends TupleExpression

Represents one or more arguments being passed into a method

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`static ArgumentListExpression` | `EMPTY_ARGUMENTS`
`static java.lang.Object[]` | `EMPTY_ARRAY`

Constructor Summary
`ArgumentListExpression()`
`ArgumentListExpression(java.util.List expressions)`
`ArgumentListExpression(Expression[] expressions)`
`ArgumentListExpression(Parameter[] parameters)`
`ArgumentListExpression(Expression expr)`
`ArgumentListExpression(Expression expr1, Expression expr2)`
`ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class TupleExpression
addExpression, getExpression, getExpressions, getText, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EMPTY_ARGUMENTS

    public static final ArgumentListExpression EMPTY_ARGUMENTS

### EMPTY_ARRAY

    public static final java.lang.Object[] EMPTY_ARRAY

Constructor Detail

### ArgumentListExpression

    public ArgumentListExpression()

### ArgumentListExpression

    public ArgumentListExpression(java.util.List expressions)

### ArgumentListExpression

    public ArgumentListExpression(Expression[] expressions)

### ArgumentListExpression

    public ArgumentListExpression(Parameter[] parameters)

### ArgumentListExpression

    public ArgumentListExpression(Expression expr)

### ArgumentListExpression

    public ArgumentListExpression(Expression expr1, Expression expr2)

### ArgumentListExpression

    public ArgumentListExpression(Expression expr1, Expression expr2, Expression expr3)

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation